Bug 818849 - Tuned is missing dependencies
Tuned is missing dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 04:04 EDT by Pavel Holica
Modified: 2013-07-25 11:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 11:01:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Holica 2012-05-04 04:04:25 EDT
Description of problem:
Tuned is missing following dependencies:
python-decorator
dbus-python
pygobject2

Version-Release number of selected component (if applicable):
tuned-2.0.1-1.fc17.noarch

How reproducible:
always

Steps to Reproduce:

1. Do minimal installation
2. Install tuned in installed system
3. Start tuned service
  
Actual results:
tuned crashes because it is unable to import decorator module, installing python-decorator again causes crashing with another missing dependencies.

Expected results:
All dependencies should be installed needed for running

Additional info:
Here are commands:

[root@localhost ~]# rpm -q python-decorator
package python-decorator is not installed
[root@localhost ~]# yum install tuned
Resolving Dependencies
--> Running transaction check
---> Package tuned.noarch 0:2.0.1-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch             Version                Repository        Size
================================================================================
Installing:
 tuned           noarch           2.0.1-1.fc17           fedora            85 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 85 k
Installed size: 235 k
Is this ok [y/N]: y
Downloading Packages:
tuned-2.0.1-1.fc17.noarch.rpm                            |  85 kB     00:00     
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID 1aca3465: NOKEY
Public key for tuned-2.0.1-1.fc17.noarch.rpm is not installed
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
Importing GPG key 0x1ACA3465:
 Userid     : "Fedora (17) <fedora@fedoraproject.org>"
 Fingerprint: cac4 3fb7 74a4 a673 d81c 5de7 50e9 4c99 1aca 3465
 Package    : fedora-release-17-0.9.noarch (@anaconda-0)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
Is this ok [y/N]: y
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : tuned-2.0.1-1.fc17.noarch                                    1/1 
  Verifying  : tuned-2.0.1-1.fc17.noarch                                    1/1 

Installed:
  tuned.noarch 0:2.0.1-1.fc17                                                   

Complete!
[root@localhost ~]# service tuned start
Redirecting to /bin/systemctl  start tuned.service
Job failed. See system journal and 'systemctl status' for details.
[root@localhost ~]# systemctl status tuned.service
tuned.service - Dynamic System Tuning Daemon
          Loaded: loaded (/usr/lib/systemd/system/tuned.service; disabled)
          Active: failed (Result: exit-code) since Fri, 04 May 2012 03:56:27 -0400; 13s ago
         Process: 692 ExecStart=/usr/sbin/tuned -d (code=exited, status=1/FAILURE)
          CGroup: name=systemd:/system/tuned.service

May 04 03:56:27 localhost.localdomain tuned[692]: Traceback (most recent call...
May 04 03:56:27 localhost.localdomain tuned[692]: File "/usr/sbin/tuned", lin...
May 04 03:56:27 localhost.localdomain tuned[692]: import tuned
May 04 03:56:27 localhost.localdomain tuned[692]: File "/usr/lib/python2.7/si...
May 04 03:56:27 localhost.localdomain tuned[692]: from controller import *
May 04 03:56:27 localhost.localdomain tuned[692]: File "/usr/lib/python2.7/si...
May 04 03:56:27 localhost.localdomain tuned[692]: import exports.dbus
May 04 03:56:27 localhost.localdomain tuned[692]: File "/usr/lib/python2.7/si...
May 04 03:56:27 localhost.localdomain tuned[692]: import decorator
May 04 03:56:27 localhost.localdomain tuned[692]: ImportError: No module name...
...
There are same results with modules provided by dbus-python and pygobject2
Comment 1 Jaroslav Škarvada 2012-05-07 08:40:28 EDT
Thanks for reporting, 

python-decorator
dbus-python
pygobject2

should be enough.
Comment 2 Jaroslav Škarvada 2012-05-07 08:42:10 EDT
Fixing upstream, we will release new version soon.
Comment 4 Stefan Assmann 2012-06-26 06:40:08 EDT
yum install python-decorator dbus-python pygobject2
Package python-decorator-3.3.3-1.fc17.noarch already installed and latest version
Package dbus-python-0.83.0-9.fc17.armv7hl already installed and latest version
Package pygobject2-2.28.6-3.fc17.armv7hl already installed and latest version

but I still get
Jun 26 06:24:06 fedora-arm tuned[14990]: Traceback (most recent call last):
Jun 26 06:24:06 fedora-arm tuned[14990]: File "/usr/sbin/tuned", line 23, in <module>
Jun 26 06:24:06 fedora-arm tuned[14990]: import tuned
Jun 26 06:24:06 fedora-arm tuned[14990]: File "/usr/lib/python2.7/site-packages/tuned/__init__.py", line 1, in <module>
Jun 26 06:24:06 fedora-arm tuned[14990]: from controller import *
Jun 26 06:24:06 fedora-arm tuned[14990]: File "/usr/lib/python2.7/site-packages/tuned/controller.py", line 22, in <module>
Jun 26 06:24:06 fedora-arm tuned[14990]: import exports.dbus
Jun 26 06:24:06 fedora-arm tuned[14990]: File "/usr/lib/python2.7/site-packages/tuned/exports/dbus.py", line 21, in <module>
Jun 26 06:24:06 fedora-arm tuned[14990]: import decorator
Jun 26 06:24:06 fedora-arm tuned[14990]: ImportError: No module named decorator

Jaroslav, any idea why this didn't work?
Comment 5 Jaroslav Škarvada 2012-10-22 07:37:52 EDT
(In reply to comment #4)
No idea, I will recheck on arm box. Keeping the BZ open.
Comment 6 Fedora Admin XMLRPC Client 2013-02-04 16:44:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jaroslav Škarvada 2013-02-13 06:39:52 EST
(In reply to comment #4)
I re-checked this on ARM box (ARM Calxeda Highbank), but I am unable to reproduce the problem:
python-decorator-3.3.3-1.fc17.noarch
dbus-python-0.83.0-9.fc17.armv7hl
pygobject2-2.28.6-3.fc17.armv7hl

I tried to reproduce by:
# yum install tuned
# tuned

Are you still affected by this bug? Could you try to rpm -qV on all involved packages?
Comment 8 Fedora End Of Life 2013-07-04 01:57:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jaroslav Škarvada 2013-07-25 11:01:54 EDT
I suppose this bug is fixed (at least I am unable to reproduce the problem on my machines any more, ARM included), thus closing. Feel free to reopen or comment here if the problem persists.
Comment 10 Stefan Assmann 2013-07-25 11:14:59 EDT
Confirmed to work on f19 ARM. Thanks Jaroslav.

Note You need to log in before you can comment on or make changes to this bug.